Anforderungen von Nucleus

Nucleus benötigt einen Server der PHP Scripts ausführen kann (Version 4.0.6+) und Zugriff auf eine MySQL Datenbank (Version 3.23.x+).


Nucleus 3.65


Nucleus 3.65 ist baw. nur als englische Version mit deutscher Sprachdatei verfügbar. D.h. die Installation muss in englischer Sprache erfolgen, danach kann Nucleus mit der Sprachdatei eingedeutscht werden. Die Nutzung älterer Versionen sollte mit dem Erscheinen der neuen Version eingestellt werden. Konkrete Änderungen im Programm kannst Du hier einsehen.
Hier geht es zu Nucleus 3.65, und hier zur deutschen Sprachdatei unserers Users CekaDo oder zur deutschen Sprachdatei auf nucleuscms.org. Nucleus unterliegt der GPL, mit der Nutzung von Nucleus erklären Sie sich mit der GPL einverstanden und stimmen dieser zu.


Update zu Nucleus CMS 3.65


Da Version 3.6x nur als originär englisches Paket verfügbar ist, sind auch die Anweisungen zu diesem zu beachten, diese findet sich auf der englischen Seite. Danach nicht vergessen die o.g. Sprachdatei zu installieren!


Nucleus 3.24 - Deutsche Version


Die Nutzung der deutschen Version 3.24 sollte mit dem Erscheinen der Version 3.3x eingestellt werden, da die neue Version diverse Sicherheitslücken schließt.

Dem Programmpaket liegt eine ausführliche Installationsanleitung bei. Wer sie sich lieber im vorhinein ansehen möchte, findet sie online unter dem Menüpunkt Dokumentationen.
Nucleus unterliegt der GNU Gerneral Public License, der Lizenztext ist im Paket enthalten.


Update von Nucleus CMS 3.22/3.23 zu 3.24



Hierbei handelt es sich um ein Sicherheitsupdate. Nutzern von früheren Nucleus Versionen dringend empfohlen auf Version 3.24 zu wechseln. Von Version 3.22 und 3.23 kann mit diesem Patch auf Version 3.24 upgedatet werden. Vor dem Update ist empfohlen ein vollständiges Backup (Dateien und Datenbank) durchzuführen. Danach die heruntergeladene Datei entpacken
und den Inhalt des Verzeichnises nucleus/libs im Patchpaket in das Verzeichnis nucleus/libs auf dem Webserver hochladen hochladen. Fertig.

Achtung! Sollten die PHP Dateien, welche im Update enthalten sind, durch den Benutzer in Version 3.22 modifiziert worden sein, so gehen die Modifikationen verloren, sofern die Dateien des Updates nicht angepasst werden. Normalerweise werden die Dateien nicht modifiziert sein.

Der Patch unterliegt ebenso wie Nucleus der GNU Gerneral Public License, der Lizenztext ist im Paket enthalten.

Im Rahmen dieses Sicherheitsupdate befindet sich auch die Datei footer.inc im Verzeichnis skins/default. Hierbei handelt es sich um eine Linkkorrektur und kein Sicherheitsupdate! Wer die Linkkorrektur einspielen will muss lediglich die Datei footer.inc in das Webserververzeichnis skins/default übertragen.